//////////////////////////////////////////////////////////
// Abzetdin Adamov
// Fully Customized Search Engine by Google Search Ajax API
// JavaScript Code based on Google AJAX API
// Last modified 03/13/2011
//////////////////////////////////////////////////////////

var searchControl;
window.onload = onLoad;

function onLoad() {

	searchControl = new GSearchControl();

	//SMALL_RESULTSET, LARGE_RESULTSET
	searchControl.setResultSetSize(google.search.Search.LARGE_RESULTSET);

    //EXPAND_MODE_PARTIAL, EXPAND_MODE_OPEN, EXPAND_MODE_CLOSED
	searchOptions = new google.search.SearcherOptions();
	searchOptions.setExpandMode(google.search.SearchControl.EXPAND_MODE_OPEN); 
 
	var webSrearch = new GwebSearch();
	webSrearch.setUserDefinedLabel("myWeb");
	searchControl.addSearcher(webSrearch, searchOptions);


	var siteSearch = new GwebSearch();
	siteSearch.setUserDefinedLabel("Adamov.net.ru");
	siteSearch.setSiteRestriction("adamov.net.ru");
	searchControl.addSearcher(siteSearch);
				
	var blogsSrearch = new GblogSearch();
	blogsSrearch.setUserDefinedLabel("myBlogs");
	searchControl.addSearcher(blogsSrearch);

	var imgSrearch = new GimageSearch();
	imgSrearch.setUserDefinedLabel("myImages");
	searchControl.addSearcher(imgSrearch);

	var drawOptions = new GdrawOptions();
	// DRAW_MODE_TABBED, DRAW_MODE_LINEAR
	drawOptions.setDrawMode(GSearchControl.DRAW_MODE_TABBED); 
	drawOptions.setInput(document.getElementById('queryInput'));
	searchControl.draw(document.getElementById("searchcontrol"), drawOptions);

	inputBlur();
}    
var query = null;
document.onkeydown = function(event) { kd(event); };

document.getElementById('queryInput').onfocus = function(event) { inputFocus(event); };
document.getElementById('queryInput').onblur = function(event) { inputBlur(event); };

var searched = false;
function kd(e) {
	if (!e) e = event;
	if (query == null)
		query = document.getElementById('queryInput');
	if (e.keyCode == 27) {
		query.value = '';
		searchControl.clearAllResults();
	}
	query.focus();
}

function inputFocus() {
	var queryInput = document.getElementById('queryInput');
	queryInput.style.color = "#555";
	if (queryInput.value && queryInput.value == "Введите строку для поиска в Adamov.net.ru") {
		queryInput.value = "";
	}
}
 
function inputBlur() {
	var queryInput = document.getElementById('queryInput');
	queryInput.style.color = "#bbb";
	if (!queryInput.value) {
		queryInput.value = "Введите строку для поиска в Adamov.net.ru";
	}
}
